Get Chat Labels

Get all labels assigned to a specific chat.

GET
https://api.wawp.net/v2/labels/chats/{chatId}?chatId=123456789%40c.us&instance_id=123456789&access_token=123456789

Authentication Required

Login to swap the placeholders with your real Instance ID and Access Token.

Log In
Test /v2/labels/chats/{chatId} endpoint
GET
GET

No query parameters required

This endpoint doesn't expect data in the URL.

Best practices

  • Use this to build 'Smart Views' in your custom CRM.

  • Fetch only the necessary fields to optimize performance.

Request Parameters

Configure the parameters required to interact with this endpoint. All query and body arguments are listed below with their details.

URL Parameters

Passed in the URL query string
string

Your unique WhatsApp Instance ID

Example:
string

Your API Access Token

Example:
string

The unique ID of the chat (e.g., 123456789@c.us)

Example:

Request Samples

Use these ready-to-go code snippets to integrate our API into your project quickly and efficiently. Choose your preferred language and library.

1const baseUrl = "https://api.wawp.net";
2const endpoint = "/v2/labels/chats/123456789@c.us";
3const params = new URLSearchParams({
4 "instance_id": "123456789",
5 "access_token": "123456789"
6}).toString();
7
8
9fetch(`${baseUrl}${endpoint}${params ? '?' + params : ''}`, {
10 method: "GET",
11 headers: { "Content-Type": "application/json" },
12
13})
14 .then(async (response) => {
15 if (response.ok) {
16 const data = await response.json();
17 console.log("Success:", data);
18 return data;
19 }
20
21 // Error Handling
22 if (response.status === 401) {
23 console.error("Error 401: Unauthorized - Invalid or Missing Access Token");
24 }
25 if (response.status === 400) {
26 console.error("Error 400: Bad Request - Invalid Parameter Format");
27 }
28 if (response.status === 500) {
29 console.error("Error 500: Internal Server Error - Unexpected Failure");
30 }
31
32 const errorText = await response.text();
33 console.error(`Error ${response.status}: ${errorText}`);
34 })
35 .catch((error) => console.error("Network Error:", error));
Interactive Samples
Ln 35, Col 1javascript

Expected Responses

Explore all possible responses and outcomes from the server. We have documented each status code with data examples to make success and error handling easier.

List of labels for the chat
application/json
object *

Example

{
"0": {
  "id": "1",
  "name": "New Customer",
  "color": 0,
  "colorHex": "#ff9485"
  }
}
Bad Request - Invalid Parameter Format
Unauthorized - Invalid or Missing Access Token
Internal Server Error - Unexpected Failure
Previous TopicUnlink Label from Chat
Next TopicSet Chat Labels

Command Palette

Search for a command to run...